From: Michael R. Crusoe <michael.crusoe@gmail.com>
Subject: Enable and update tests for lambda2

Only the first 10 tests pass with this patch

--- lambda-align.orig/CMakeLists.txt
+++ lambda-align/CMakeLists.txt
@@ -60,5 +60,5 @@
 # Add Tests
 # ----------------------------------------------------------------------------
 
-# message ("\n${ColourBold}Setting up unit tests${ColourReset}")
-# add_subdirectory(tests)
+message ("\n${ColourBold}Setting up unit tests${ColourReset}")
+add_subdirectory(tests)
--- lambda-align.orig/tests/maintests.sh
+++ lambda-align/tests/maintests.sh
@@ -1,5 +1,7 @@
 #!/bin/sh
 
+set -xe
+
 errorout()
 {
     echo $1 #> /dev/stderr
@@ -23,7 +25,11 @@
 SALPH=prot      # actual subject alph
 QALPHIN=prot    # query input file alph
 SALPHIN=prot    # subject input file alph
+INDEXER=mkindexp
+SEARCHER=searchp
 case "$PROG" in "blastn")
+    INDEXER=mkindexn
+    SEARCHER=searchn
     QALPHIN=nucl
     SALPH=nucl
     SALPHIN=nucl
@@ -34,10 +40,12 @@
     QALPHIN=nucl
     ;;
 "tblastn")
+    INDEXER=mkindexn
     SALPH=trans
     SALPHIN=nucl
     ;;
 "tblastx")
+    INDEXER=mkindexn
     SALPH=trans
     QALPHIN=nucl
     SALPHIN=nucl
@@ -53,10 +61,10 @@
 gunzip < "${SRCDIR}/tests/db_${SALPHIN}.fasta.gz" > db.fasta
 [ $? -eq 0 ] || errorout "Could not unzip database file"
 
-${BINDIR}/bin/lambda_indexer -d db.fasta -di ${DI} -p ${PROG}
+${BINDIR}/bin/lambda2 ${INDEXER} -d db.fasta -i ${DI}.lambda
 [ $? -eq 0 ] || errorout "Could not run the indexer"
 
-openssl md5 * > md5sums
+openssl md5 $(find * -type f) > md5sums
 [ $? -eq 0 ] || errorout "Could not run md5 or md5sums"
 
 gunzip < "${SRCDIR}/tests/db_${SALPH}_${DI}.md5sums.gz" > md5sums.orig
@@ -73,7 +81,7 @@
 gunzip < "${SRCDIR}/tests/queries_${QALPHIN}.fasta.gz" > queries.fasta
 [ $? -eq 0 ] || errorout "Could not unzip queries.fasta"
 
-${BINDIR}/bin/lambda -d db.fasta -di ${DI} -p ${PROG} -q queries.fasta -t 1 --version-to-outputfile off \
+${BINDIR}/bin/lambda2 ${SEARCHER} -i ${DI}.lambda -q queries.fasta -t 1 --version-to-outputfile off \
 -o output_${PROG}_${DI}.${EXTENSION}
 [ $? -eq 0 ] || errorout "Search failed."
 
